import React, { Component } from 'react';
import moment from 'moment';
import { Row, Col } from 'amos-framework';
import { impEquDetail3dAction } from '../../../../../../services/3dService';


/**
 * 网络设备基本信息
 *
 * @class NetworkBaseInfoTab
 * @extends {Component}
 */
class NetworkBaseInfoTab extends Component {
  constructor(props) {
    super(props);
    this.state = {
      data: []
    };
  }

  componentDidMount(){
    const { equimentId } = this.props;
  }

  render() {
    const { data = [] } = this.props;
    var i = 6 - data.length % 3;
    var doms = [];
    for(i;i > 0;i--){
      doms.push(<Col span={8} className="colTitle"/>);
    }
    return (
            
            <Row className="impEqu-baseInfo-row" >
              <Col span={8} className="colTitle"/>  
              <Col span={8} className="colTitle"/>
              <Col span={8} className="colTitle"/>
              {data && data.map(e => {
                  return (
                    <div>
                      <Col span={4} className="colTitle">  {e.name}：</Col>
                      <Col span={4} className="colValue"> {e.value || '' } </Col>
                    </div>
                  )
                })}
              { doms }
            </Row>
    );
  }
}

NetworkBaseInfoTab.propTypes = {

};

export default NetworkBaseInfoTab;
